<?php
/*
   Update the order status after a payment
   Copyright (c) 2016 Jan Van Liedekerke

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

   Documentation: https://www.easywebshop.com/doc/api
*/

// Debug mode for testing, set to false in production
define('APP_DEBUG', true);

// Use a shop for testing
if (APP_DEBUG && !isset($_REQUEST['shop_id'])) { $_REQUEST['shop_id'] = 0; }

// Set to TRUE if payment is successful
$order_payed = false;

/*--------------------------------
	Your code starts below
-------------------------------*/



/*--------------------------------
	Set order payed
-------------------------------*/
if ($order_payed) {

	// Include the EasyWebshop API connector, don't forget to set your API KEY!
	include 'easywebshop.php';

	// The connector needs $_REQUEST['shop_id'] and $_REQUEST['ordercode'] for changing the order status
	$appdata = easyApp(array('function' => 'setOrderPayed', 'ordercode' => isset($_REQUEST['ordercode']) ? $_REQUEST['ordercode'] : ''));

}

?>
